/* $Id: compat-banana.c,v 1.1 2005/03/18 12:44:29 larsv Exp $
 *
 * ETRAX FS IOP USB 1.1 Host Controller
 *
 * Banana compatibility layer
 *
 * Copyright (C) 2004, 2005  Axis Communications AB
 *
 * Author: Lars Viklund <larsv@axis.com>
 */

#include "compat.h"

/* allocate DMA channel for IOP use */
int iop_request_dma(int dmc, int dma_inst, const char *device_id)
{
	return 0;
}

/* deallocate DMA channel */
int iop_free_dma(int dma_inst)
{
	return 0;
}

/* allocate pins for IOP use */
int iop_pinmux_alloc(int port, int first_pin, int last_pin)
{
	return 0;
}

/* deallocate pins */
int iop_pinmux_dealloc(int port, int first_pin, int last_pin)
{
	return 0;
}

/* configure pin multiplexing for internal PHY */
void iop_usb_phy(int port)
{
}

/* start clock for IOP */
void iop_start_clock(void)
{
}
