/* $Id: iop-usb-map.c,v 1.3 2005/04/26 11:22:59 larsv Exp $
 *
 * ETRAX FS IOP USB 1.1 Host Controller
 *
 * Mapping to specific instances of hardware blocks
 *
 * Copyright (C) 2004  Axis Communications AB
 */

#include "compat.h"
#include <asm/arch/hwregs/iop/iop_reg_space.h>
#include "iop-usb-int.h"

struct iop_usb_cfg iop_usb_cfg = { -1, -1, -1 };

#define IOP_USB_INST						\
	{							\
		.spu =			SPU,			\
		.dma_in =		DMA_IN,			\
		.dma_out =		DMA_OUT,		\
		.dmc_in =		DMC_IN,			\
		.dmc_out =		DMC_OUT,		\
		.scrc_out =		SCRC_OUT,		\
		.crc_par =		CRC_PAR,		\
		.fifo_in =		FIFO_IN,		\
		.fifo_out =		FIFO_OUT,		\
		.fifo_out_extra =	FIFO_OUT_EXTRA,		\
		.sw_spu =		SW_SPU,			\
		.frame_timer_grp =	FRAME_TIMER_GRP,	\
		.rx_cnt_timer_grp =	RX_CNT_TIMER_GRP,	\
	},

const struct iop_usb_inst iop_usb_inst[] = {
/* DMA mapping 0 */
#undef IOP_USB_DMAMAPPING
#define IOP_USB_DMAMAPPING	0
#include "iop-usb-map.h"
IOP_USB_INST
/* DMA mapping 1 */
#undef IOP_USB_DMAMAPPING
#define IOP_USB_DMAMAPPING	1
#include "iop-usb-map.h"
IOP_USB_INST
};
